Name:           gnofract4d
Version:        2.14
Release:        4%{?dist}
Summary:        Gnofract 4D is a Gnome-based program to draw fractals
Group:          Amusements/Graphics
License:        GPL
URL:            http://gnofract4d.sourceforge.net/
Source0:        http//dl.sf.net/gnofract4d/gnofract4d-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: scrollkeeper, python, gcc-c++, pkgconfig
BuildRequires: gtk2-devel, python-devel
BuildRequires: desktop-file-utils, GConf2-devel

Requires(post): scrollkeeper

%description
Gnofract 4D is a Gnome-based program to draw fractals. What sets it apart from
other fractal programs (and makes it "4D") is the way that it treats the
Mandelbrot and Julia sets as different views of the same four-dimensional
fractal object. This allows you to generate images which are a cross between
the two sets and explore their inter-relationships.

%prep

%setup -q

# make it x86-64 happy
sed -i 's|/usr/lib/|%{_libdir}/|g' setup.cfg
sed -i 's|/usr/lib|%{_libdir}/|g' %{name}

%build
python setup.py build

%install
%{__rm} -rf %{buildroot}
python setup.py install --root="%{buildroot}"

%{__install} -d -m0755 %{buildroot}%{_datadir}/applications/
desktop-file-install --vendor fedora                            \
	--delete-original                                       \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        %{buildroot}%{_datadir}/gnofract4d/gnofract4d.desktop

%post
scrollkeeper-update -q || :

%postun
scrollkeeper-update -q || :

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc COPYING README
%doc %{_datadir}/gnome/help/gnofract4d/
%{_bindir}/gnofract4d
%dir %{_datadir}/maps/
%{_datadir}/maps/gnofract4d/
%{_datadir}/mime/packages/gnofract4d-mime.xml
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/gnofract4d/
%{_datadir}/pixmaps/gnofract4d-logo.png
%{_libdir}/gnofract4d-%{version}/
%{_datadir}/formulas/gnofract4d/

%changelog
* Mon Aug 27 2006 Michael J. Knox <michael[AT]knox.net.nz> - 2.14-4
- Rebuild for FC6

* Thu Jul 20 2006 Michael J. Knox <michael[AT]knox.net.nz> - 2.14-3
- fixed bz# 192878

* Sun May 21 2006 Michael J. Knox <michael[AT]Knox.net.nz> - 2.14-2
- fixed files list for x86_64 builds

* Wed May 17 2006 Michael J. Knox <michael[AT]Knox.net.nz> - 2.14-1
- version bump and spec clean

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Feb 13 2005 Throsten Leemhuis <fedora at leemhuis dot info> 0:2.6-2
- "sed -i s|/usr/lib/|%%{_libdir}|g setup.cfg" on x86_64

* Tue Feb 01 2005 Panu Matilainen <pmatilai@welho.com> 0:2.6-1
- update to 2.6
- drop epoch 0 and fedora.us release tag
- run update-desktop-database on post+postun

* Sun Oct 03 2004 Panu Matilainen <pmatilai@welho.com> 0:2.1-0.fdr.1
- update to 2.1

* Tue Jul 06 2004 Panu Matilainen <pmatilai@welho.com> 0:2.0-0.fdr.1
- update to 2.0
- quite a few dependency changes because of switch to python etc

* Mon May 31 2004 Panu Matilainen <pmatilai@welho.com> 0:1.9-0.fdr.3
- fix build against newer gtk (gtk-buildfix patch)

* Tue Dec 23 2003 Panu Matilainen <pmatilai@welho.com> 0:1.9-0.fdr.2
- address issues in #1114
- huh, this requires g++ to run...

* Mon Dec 15 2003 Panu Matilainen <pmatilai@welho.com> 0:1.9-0.fdr.1
- update to 1.9
- drop patch (no longer needed to build)
- add translations now that there is one


* Sun Dec 07 2003 Panu Matilainen <pmatilai@welho.com> 0:1.8-0.fdr.1
- Initial Fedora packaging.
